Skip to content
GET /log

Query Parameters

log_typestring
required·

The type of logs you want to filter by.

Possible values:
unified_proxy_apirapid_bridgewebhookmcp
created_atobject

The date-time range to filter the logs by.

gtstring · date-time

The logs created after this date-time. Should be in ISO 8601 format. If specified, lt must also be provided and should NOT be greater than 1 month apart from gt.

Example: 2021-10-01T00:00:00Z
ltstring · date-time

The logs created before this date-time. Should be in ISO 8601 format.

Example: 2021-10-01T00:00:00Z
limitnumber

The number of logs to return. Default is 100.

next_cursorstring

The cursor to get the next set of logs.

log_type_filterobject

The filters to apply to fetch only specific logs.

client_namestring

Filter logs by client name. Can be used when log_type is mcp.

client_versionstring

Filter logs by client version. Can be used when log_type is mcp.

environment_idstring

Filter logs by environment ID. Can be used when log_type is mcp.

integrated_account_idstring

Filter logs by integrated account ID. Can be used when log_type is mcp.

mcp_methodstring

Filter logs by MCP method. Can be used when log_type is mcp.

Possible values:
initializenotifications/initializedtools/listtools/callprompts/listresources/listping
mcp_server_idstring

Filter logs by MCP server ID. Can be used when log_type is mcp.

methodstring

Filter logs by method. Can be used when log_type is mcp.

request_idstring

Filter logs by request ID. Can be used when log_type is mcp.

request_typestring

The type of request for which the logs are generated. Can be used when log_type is unified_proxy_api.

Possible values:
proxyunified
resourcestring

Filter logs by resource. Can be used when log_type is mcp.

tool_namestring

Filter logs by tool name. Can be used when log_type is mcp.

Response Body

next_cursorstring

The cursor to get the next set of logs

resultobject[]

The list of logs.

_idstring

Unique identifier for the log.

Example: 6660312f7183aa7f487bb924
metadataobject

The metadata for the log.

7 properties
durationnumber

The duration of the request in milliseconds from the time the request was received to the time the response was sent from Truto.

Example: 100
environment_idstring

The ID of the environment for which the logs are generated.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
fetch_durationnumber

The time it took to get the data from the remote API in milliseconds.

Example: 50
messagestring

The message for the log.

Example: Request to fetch data from remote API.
methodstring

The Truto method that was called.

Example: list
request_typestring

The type of request for which the logs are generated.

Example: proxy
Possible values:
proxyunified
resourcestring

The Truto resource that was called.

Example: cards-search
timestampstring · date-time

The timestamp when the log was created.

Example: 2021-05-21T09:00:00.000Z
curl -X GET 'https://api.truto.one/log' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/log', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/log"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

for await (const item of truto.log.list()) {
  console.log(item);
}
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.logs.list():
        print(item)

asyncio.run(main())